Vidu API
Debug Console
Dashboard
Docs
Sign in
Video Generating
POST https://api.vidu.com/ent/v2/text2video
Field
Value
Description
Content-Type
application/json
Data Exchange Format
Authorization
Token {your api key}
Replace {} with your API key
Field
Type
Required
Description
model
String
Required
Model name
Accepted values:viduq3-turbo, viduq3-pro , viduq2 , viduq1
-viduq3-turbo: Compared to viduq3-pro, the generation speed is faster
-viduq3-pro: Supports audio-visual synchronization, supports video shot segmentation
-viduq2: New Model
-viduq1: Clear image, smooth transition, stable camera operation
style
String
Optional
The style of output video
Defaults to general, Accepted values: general anime
- general : General style. Allows style control through prompts
- anime: Anime style. Optimized for anime aesthetics, with better performance for anime-related prompts
Note: This parameter is not effective when using q2 or q3 models
prompt
String
Required
Text prompt
A textual description for video generation, with a maximum length of 5000 characters
duration
Int
Optional
Video duration. Default values vary by model:
- viduq3-pro,viduq3-turbo: default 5s, available: 1 - 16
- viduq2: default 5s, available: 1 - 10
- viduq1: default 5s, available: 5
seed
Int
Optional
Random seed
- Defaults to a random seed number
- Manually set values will override the default random seed
aspect_ratio
String
Optional
The aspect ratio of the output video
Defaults to 16:9, accepted: 16:9 9:16``3:4 4:3 1:1
Note:3:4& 4:3only support q2 & q3 model
resolution
String
Optional
Resolution. Default values vary by model & duration:
- viduq3-pro , viduq3-turbo (1-16s): default 720p, available: 540p, 720p, 1080p
- viduq2 (1-10s): default 720p, available: 540p 720p 1080p
- viduq1 (5s): default 1080p, available: 1080p
movement_amplitude
String
Optional
The movement amplitude of objects in the frame
Defaults to auto, accepted value: auto small medium large
This parameter does not take effect when using the q2 & q3 model
bgm
Bool
Optional
Whether to add background music to the generated video.(q3 model not available)
Default: false. Acceptable values: true, false.
When true, the system will automatically add a suitable BGM.
BGM has no time limit and the system automatically adapts.
BGM does not take effect when the duration of the q2 model is 9 or 10 seconds;BGM does not available in q3 models
audio
Bool
Optional
Whether to use direct audio-video generation capability. Default: true. Enumerated values:
- false: No direct audio-video generation, outputs silent video
- true: Requires audio-video synchronization, outputs video with sound (including dialogue and sound effects)
Note 1: Only the q3 models supports this parameter
payload
String
Optional
transparent transmission parameters
No processing, only data transmission,with a maximum length of 1048576 characters
off_peak
Bool
Optional
off peak mode, Defaults to false, accepted value: true false
- true:off peak generate mode;
- false:normal generate mode;
- The off_peak mode consumes lower points, please refer to the details Pricing. Tasks submitted in off peak mode will be generated within 48 hours. Tasks that are not completed will be automatically cancelled and their points will be refunded. We also support cancel off_peak tasks.
callback_url
String
Optional
Callback
When creating a task, you need to actively set the callback_url with a POST request. When the video generation task changes its status, Vidu will send a callback request to this URL, containing the latest status of the task. The structure of the callback request content will be the same as the return body of the GET Generation API.
The "status" in the callback response includes the following states:
- processing: Task is being processed.
- success: Task is completed (if sending fails, it will retry the callback three times).
- failed: Task failed (if sending fails, it will retry the callback three times).
Vidu uses a callback signature algorithm for verification, check out the details here: Callback Signature
Field
Type
Description
task_id
String
Task ID
state
String
It will be returned to a specific processing state:
- created created task successfully
- queueing task in queue
- processing processing
- success generation successful
- failedtask failed
model
String
The parameter of the model used for this call
style
String
The style parameter used for this call
prompt
String
The text prompt used for this call
duration
Int
The video duration parameter used for this call
seed
Int
The random seed parameter used for this call
aspect_ratio
String
The aspect ratio parameter used for this call
resolution
String
The resolution parameter used for this call
bgm
Bool
The bgm parameter used for this call
movement_amplitude
String
The camera movement amplitude parameter used for this call
payload
String
The payload parameter used for this call
credits
Int
The credits used for this call
off_peak
Bool
The off_peak parameter used for this call
created_at
String
Task creation time
{
  "task_id": "your_task_id_here",
  "state": "created",
  "model": "viduq3-pro",
  "prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
  "duration": 5,
  "seed": random_number,
  "aspect_ratio": "16:9",
  "resolution": "720p",
  "movement_amplitude": "auto",
  "payload": "",
  "credits": credits_number,
  "off_peak": false,
  "created_at": "2025-01-01T15:41:31.968916Z"
}
On this page
Overview
  • Request Header
  • Request Body
  • Response Body